## edu.msu.cme.rdp.classifier.comparison
Class TaxonTree

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.AbstractNode
          edu.msu.cme.rdp.classifier.comparison.TaxonTree

All Implemented Interfaces:
  ComparisonBrowserNode, Taxon

    public class TaxonTree

extends AbstractNode

Nested Class Summary
`(package private) class` `TaxonTree.DetailIterator` An Iterator of the sequences assigned to the node
`(package private) class` `TaxonTree.SampleDetailIterator`

Nested classes/interfaces inherited from class edu.msu.cme.rdp.classifier.comparison.AbstractNode
`AbstractNode.LineageIterator, AbstractNode.TaxonIterator`

Field Summary
`private AbstractNode` `firstChild`
`private Score` `firstS1Score`
`private Score` `firstS2Score`
`private Score` `lastS1Score`
`private Score` `lastS2Score`
`private java.lang.String` `name`
`private java.lang.String` `rank`
`private int` `taxid`

Constructor Summary
`TaxonTree(int id, java.lang.String name, java.lang.String rank, AbstractNode p)` Creates a new instance of TaxonTree

Method Summary
`protected void` `addChild(AbstractNode n)`
`protected void` `addS1Score(Score s)`
`protected void` `addS2Score(Score s)`
`void` `changeConfidence(SigCalculator cal)` calculate the count of sequences assigned to the node, only count the sequence with score for that node greater or equal to confidence cutoff value
`ComparisonBrowserNode` `findNode(int id)` returns a node with the given taxid if found.
`(package private) TaxonTree` `getChildbyTaxid(int taxid, java.lang.String name, java.lang.String rank)` Given a assignment, first search the asigned node among the children, if the child does not exist, create a new child node.
`java.util.Iterator` `getDetailIterator(float conf)`
`(package private) AbstractNode` `getFirstChild()`
`(package private) Score` `getFirstS1Score()`
`(package private) Score` `getFirstS2Score()`
`private Score` `getLastS1Score()`
`private Score` `getLastS2Score()`
`java.lang.String` `getName()`
`java.lang.String` `getRank()`
`int` `getTaxid()`
`private void` `setFirstS1Score(Score s)`
`private void` `setFirstS2Score(Score s)`

Methods inherited from class edu.msu.cme.rdp.classifier.comparison.AbstractNode
`addSibling, getDoubleSignificance, getIndent, getLineageIterator, getNextSibling, getParent, getS1Count, getS2Count, getSignificance, getTaxonIterator, incS1Count, incS2Count, resetCount, setIndent, setParent, setSignificance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### taxid

    private int taxid

### name

    private java.lang.String name

### rank

    private java.lang.String rank

### firstChild

    private AbstractNode firstChild

### firstS1Score

    private Score firstS1Score

### lastS1Score

    private Score lastS1Score

### firstS2Score

    private Score firstS2Score

### lastS2Score

    private Score lastS2Score

Constructor Detail

### TaxonTree

    public TaxonTree(int id,
                     java.lang.String name,
                     java.lang.String rank,
                     AbstractNode p)

  Creates a new instance of TaxonTree

Method Detail

### getDetailIterator

    public java.util.Iterator getDetailIterator(float conf)

  Specified by:
    `getDetailIterator` in interface `ComparisonBrowserNode`
  Specified by:
    `getDetailIterator` in class `AbstractNode`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Taxon`
  Specified by:
    `getName` in class `AbstractNode`

### getRank

    public java.lang.String getRank()

  Specified by:
    `getRank` in interface `Taxon`
  Specified by:
    `getRank` in class `AbstractNode`

### getTaxid

    public int getTaxid()

  Specified by:
    `getTaxid` in interface `Taxon`
  Specified by:
    `getTaxid` in class `AbstractNode`

### getFirstChild

    AbstractNode getFirstChild()

  Specified by:
    `getFirstChild` in class `AbstractNode`

### getFirstS1Score

    Score getFirstS1Score()

### getFirstS2Score

    Score getFirstS2Score()

### getLastS1Score

    private Score getLastS1Score()

### getLastS2Score

    private Score getLastS2Score()

### addChild

    protected void addChild(AbstractNode n)

### setFirstS1Score

    private void setFirstS1Score(Score s)

### setFirstS2Score

    private void setFirstS2Score(Score s)

### addS1Score

    protected void addS1Score(Score s)

### addS2Score

    protected void addS2Score(Score s)

### getChildbyTaxid

    TaxonTree getChildbyTaxid(int taxid,
                              java.lang.String name,
                              java.lang.String rank)

  Given a assignment, first search the asigned node among the children, if the child does not exist, create a new child node.

### changeConfidence

    public void changeConfidence(SigCalculator cal)

  calculate the count of sequences assigned to the node, only count the sequence with score for that node greater or equal to confidence cutoff value

  Specified by:
    `changeConfidence` in interface `ComparisonBrowserNode`
  Specified by:
    `changeConfidence` in class `AbstractNode`

### findNode

    public ComparisonBrowserNode findNode(int id)

  returns a node with the given taxid if found. returns null if not found.

  Specified by:
    `findNode` in interface `ComparisonBrowserNode`
  Specified by:
    `findNode` in class `AbstractNode`